### Function

# Camel ucs2_utf8

#### Declaration [src]

    gchar*
    camel_ucs2_utf8 (
      const gchar* ptr
    )

#### Description [src]

Convert a ucs2 string into a UTF-8 one. The ucs2 string is treated as network byte ordered, and terminated with a 16-bit `NULL`.

#### Parameters

`ptr`

  Type: `const gchar*`

  A ucs2 string to convert.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The converted string. Free it with g_free(), when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.